.container01 {
    padding: 20px;
    position: relative;
    
  }
  .bg-box {
background-color: #f2f2f2; /*background-image: url('assets/images/ebike/banner2.jpg');
    background-size: cover; Gray background color */
padding: 20px;
border-radius: 10px;
opacity: 0.9;
transition: transform 0.3s; /* Add transition for smooth zoom effect */
width: 90%; /* Set width */
height: 10%; /* Set height */
}

  .img-responsive {
    width: 100%;
  }
  .text-gray {
    color: #666; /* Gray text color */
  }

/* ********************************************************************************************************************* */

.container76 {
    padding: 20px;
}

.container2 {
    text-align: center; /* Center the h2 heading */
}

.group-heading {
    font-size: 2rem;
    color: #333;
    margin: 20px 0;
}

.division {
    width: calc(50% - 40px); /* Adjust width for left side */
    padding: 0 10px;
    margin-right: 10px; /* Add right margin */
    display: inline-block; /* Display left side content inline */
    vertical-align: top; /* Align top */
    text-align: center; /* Align text content to the left */
}

.division-content {
    color: #666;
    line-height: 1.8;
    font-size: 1rem;
            
    font-family: "Open Sans", sans-serif;
    text-align: justify;
    margin-left: 100px; /* Add left margin */
    margin-top: 20px;
    width: 100%;
}

.division2 {
    width: calc(50% - 20px); /* Adjust width for right side */
    display: inline-block; /* Display right side content inline */
    vertical-align: top; /* Align top */

}

.image-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-box {
    width: 400px;
    height: 400px;
    overflow: hidden;
    background-color: #C9E4E5;
    border-radius: 10px;
    
}

.image-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 20px;
}

.color-button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: none;
    margin: 5px;
    cursor: pointer;
    transition: background-color 0.3s, box-shadow 0.3s;
}
#back{
  background-color: #C9E5E3;
}

.blue { background-color: rgb(15, 82, 226); }
.black { background-color: black; }
.gray { background-color: rgb(110, 110, 110); }
.white { background-color: white; }
.yellow { background-color: yellow; }

/* Responsive Styles */
@media screen and (max-width: 768px) {
    .division {
        width: 100%; /* Full width for mobile screens */
        margin-right: 0; /* Remove right margin */
        margin-bottom: 20px; /* Add bottom margin */
    }

    .division-content {
        margin-left: 0; /* Remove left margin */
        text-align: justify; /* Center text content */
    }

    .division2 {
        width: 100%; /* Full width for mobile screens */
    }

    .button-container {
        margin-top: 10px; /* Adjust margin for better spacing */
    }
}

/* ********************************************************************************************************************* */

* {
    box-sizing: border-box;
}

:root {
    color-scheme: light dark;

    --h: 30; /* Adjust hue for orange color */
    --s: 100%; /* Adjust saturation for orange color */
    --l: 50%; /* Adjust lightness for orange color */
    --brand-color-bg: hsl(var(--h), var(--s), var(--l)); /* Orange color */
    --brand-color-fg: hsl(0 0% 99%);
    --border: 1px solid var(--brand-color-bg);
    --shadow-blur: 1.5rem;
    --shadow-color: hsla(var(--h), var(--s), var(--l), 0.6);
    --shadow-y: 1rem;
    --space: clamp(1.125rem, 0.8rem + 1.3cqi, 1.875rem);
    --gradient: linear-gradient(
        165deg,
        transparent 50%,
        hsla(var(--h), var(--s), var(--l), 0.15) 125%
    );
}

@media (prefers-color-scheme: dark) {
    :root {
        --l: 46%;
    }
}

html {
    height: 100%;
}

 

h2 {
    font-size: 2em;
    font-weight: 700;
    line-height: 1.1;
    text-wrap: balance;
}

button {
    font: inherit;
    line-height: normal;
    padding: 0.5rem 1.5rem 0.6rem;
    background: var(--brand-color-bg);
    color: var(--brand-color-fg);
    border: unset;
    border-radius: 0.25rem;
}

button:active {
    translate: 0 1px;
}

.flow > + {
    margin-block-start: var(--space);
}

.containerjd {
    display: grid;
    margin: 0 auto;
    margin-top: 50px;
    margin-bottom: 50px;
    grid-auto-rows: 1fr;
    border: var(--border);
    border-radius: 1rem;
    inline-size: min(55rem, 100%);
}

.intro {
    padding: var(--space);
    background-image: var(--gradient);
}

.details {
    display: grid;
    grid-template-rows: auto 1fr auto;
    border-block-start: var(--border);
}

.details :where(header, footer) {
    padding: calc(var(--space) / 2) var(--space);
    text-align: center;
    font-size: 0.8em;
    font-weight: 500;
    text-transform: uppercase;
    background-image: var(--gradient);
}

.scroll-container {
    contain: size;
    overflow-y: auto;
    overscroll-behavior-x: contain;
    scrollbar-color: var(--brand-color-bg) transparent;
    padding: var(--space);
    border-block: var(--border);
    animation: scroll-shadow-inset linear;
    animation-timeline: scroll(self);
   
    /* Ensure vertical scrollbar when content overflows */
}

.scroll-container {
overflow-y: auto;
max-height: 400px; /* Adjust the maximum height as needed */
}

.spec-list {
list-style-type: none;
padding: 0;
}

.spec-list li {
margin-bottom: 15px;
}

.spec-list li strong {
font-weight: bold;
color: black; /* Orange color for emphasis */
}

.spec-list ul {
margin-top: 5px;
padding-left: 20px;
}
@keyframes scroll-shadow-inset {
    from {
        box-shadow: inset 0 var(---shadow-y) var(--shadow-blur) var(---shadow-y)
            var(--shadow-color);
    }

    to {
        box-shadow: inset 0 var(--shadow-y) var(--shadow-blur) var(---shadow-y)
            var(--shadow-color);
    }
}

@media (min-width: 40rem) {
    .containerjd {
        grid-template-columns: 1fr 1fr;
         
    }

    .details {
        border-block-start: unset;
        border-inline-start: var(--border);
    }
}
@media (max-width: 768px) {
.containerjd {
    min-height: 550px; /* Adjust the height as needed */
}
.intro.flow img {
margin: 0 auto;
margin-top: 60px;
}

}
/* ********************************************************************************************************************* */

.carousel-wrapper {
    overflow: hidden;
    width: 90%;
    margin: auto;  
}

.carousel-wrapper * {
    box-sizing: border-box;
}

.carousel {
    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    transform-style: preserve-3d;
}

.carousel__photo {
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
    margin: auto;
    padding: 1rem 4rem;
    z-index: 100;
    transition: transform .5s, opacity .5s, z-index .5s;
}

.carousel__photo.initial,
.carousel__photo.active {
    opacity: 1;
    position: relative;
    z-index: 900;
}

.carousel__photo.next,
.carousel__photo.prev {
    z-index: 800;
}

.carousel__photo.next {
    transform: translateX(100%);
}

.carousel__photo.prev {
    transform: translateX(-100%);
}

.carousel__button--prev,
.carousel__button--next {
  position: absolute;
  top:50%;
  width: 3rem;
  height: 3rem;
  background-color: white ;
  transform: translateY(-50%);
  border-radius: 50%;
  cursor: pointer; 
  z-index: 1001; /* Sit on top of everything */
  border: 3px solid black;
}

.dot-1,
.dot-2,
.dot-3,
.dot-4 {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.on-page, 
.dot-1:hover,
.dot-2:hover,
.dot-3:hover,
.dot-4:hover {
    background-color: #717171;
}

.carousel__button--prev {
    left:0;
    float: left;
}

.carousel__button--next {
    right:0;
    float: right;
}

.carousel__button--prev::after,
.carousel__button--next::after {
    content: " ";
    position: absolute;
    width: 10px;
    height: 10px;
    top: 50%;
    left: 54%;
    border-right: 2px solid black;
    border-bottom: 2px solid black;
    transform: translate(-50%, -50%) rotate(135deg);
}

.carousel__button--next::after {
    left: 47%;
    transform: translate(-50%, -50%) rotate(-45deg);
}

/* ********************************************************************************************************************* */

.container005 {
    padding: 20px;
    background-color: white;
}

.card {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px; /* Add margin between cards */
    text-align: center; /* Center the content */
    height: 100%; /* Ensure cards take full height */
    width: 150px; /* Fixed width for the card */
    margin-left: auto; /* Auto left margin */
    margin-right: auto; /* Auto right margin */
}

.card img {
    transition: transform 0.5s ease;
    max-width: 100%;
    height: auto;
}

.card:hover img {
    transform: scale(1.1);
}

.card .card-img-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    background: rgba(201, 229, 222, 0.9);
    color: white;
    width: 100%;
    padding: 10px;
    transition: opacity 0.5s ease;
    opacity: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    /* Increase height to accommodate larger text */
    height: auto;
    max-height: 100%;
    overflow: auto;
}

.card:hover .card-img-overlay {
    opacity: 1;
}

.card-title {
    font-size: 1rem; /* Set font size for title */
    margin-bottom: 0.5rem;
    font-weight: bold; /* Optionally set font weight */
    overflow: hidden; /* Hide overflow */
    text-overflow: ellipsis; /* Add ellipsis for overflow text */
    white-space: nowrap; /* Prevent text from wrapping */
}

.card-text {
    font-size: 1rem; /* Set font size for description */
    overflow: hidden; /* Hide overflow */
    text-overflow: ellipsis; /* Add ellipsis for overflow text */
}

/* ********************************************************************************************************************* */

.feature {
    text-align: center;
    padding: 20px;
}

.feature p {
    font-size: 16px;
    margin-top: 10px;
    color: #333;
}

.feature img {
    transition: transform 0.3s ease;
}

.feature:hover img {
    transform: scale(1.5);
}

/* Banner Section */
.banner {
    padding: 50px 0;
    background-color: #C9E5E3;
}

.banner img {
    max-width: 100%;
    height: auto;
}

.banner-content {
    text-align: center;
}
.banner-content p{
    color: black;
}

.pricing-row {
    display: flex;
    justify-content: center;
}

.pricing-label {
    background: linear-gradient(to right, white, white);
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    color: white;
    padding: 10px;
    text-align: center;
    width: calc(50% - 10px); /* Adjust width as needed */
    animation: slideIn 0.5s ease-out forwards;
    transition: transform 0.3s ease;
    position: relative;
    margin-bottom: 20px; /* Add margin between pricing labels */
}

.pricing-label img {
    display: block;
    margin: 0 auto; /* Center the image horizontally */
}

.pricing-label h2 {
    margin-top: 20px; /* Adjust as needed */
}

.pricing-label p.price {
    margin-top: 10px; /* Adjust as needed */
}



/* ********************************************************************************************************************* */


.header12 {
    background-color: transparent;
    font-size: 15px;
    padding: 20px;
    text-align: center;
    color: #666;
    line-height: 1;
}
.header12 h2{
text-align: center;
font-size: 2rem;
color: #333;
font-family: "Open Sans", sans-serif;
line-height: 1.6;

}
.header1 {
    background-color: transparent;
    text-align: center;
    color: #666;
    font-style:italic;
    font-size: 12px;


}

.section8-1,
.section8-2,
.section9 {
    display: flex;
    justify-content: space-around;
    margin: 20px;
    width: 80%;
    margin: 20px auto;
    /* Center horizontally using margin:auto */
    text-align: center;
    justify-content: center;
    flex-wrap: wrap;
    /* Allow content to wrap to the next line */
}

.conten {
    flex: 1;
    display: flex;
    align-items: center;
    background-color: white;
    padding: 10px;
    margin: 10px;
    text-align: left;
    width: 50%;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);

    /* Adjust width to control spacing */
}

.conten img {
    width: 15%;
   height: auto;
    margin-right: 20px;
    /* Adjust the margin between image and text */
}

.conten h4 {
    margin-bottom: 10px;
    color: blueviolet;
    font-size: 18px;
    color: #666;
    line-height: 1.6;
}

.conten i ,p{
    margin-right: 20px;
    /* Adjust the margin to control the space between the icon and the heading */
   color: #666;
    line-height: 1.6;
}

.section9 {
    display: flex;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    justify-content: space-around;
    width: 100%;
    margin-top: 20px;
    /* Center horizontally using margin:auto */
    text-align: center;
    justify-content: center;
    margin-bottom:20px;
}

.content9 {
    flex: 1;
    display: flex;
    align-items: center;
    padding: 10px;
    margin: 10px;
    text-align: left;
    width: 30%;
    /* Adjust width to control spacing */
}

.content9 img {
    width: 15%;
    height: auto;
    /* Adjust image width */
    margin-right: 20px;
    /* Adjust the margin between image and text */
}

.content9 h4 {
    margin-bottom: 10px;
   color: #666;
    font-size: 18px;
}

.content9 p {
   
    margin-right: 10px;
   color: #666;
    
    /* Adjust the margin between image and text */
}


.content9 i {
    margin-right: 20px;
    /* Adjust the margin to control the space between the icon and the heading */
    color: black;
}

@media screen and (max-width: 768px) {

.header1
{
margin:10px;
}	
    
.section8-1,
.section8-2,
.section9 {
flex-direction: column;
width: 100%;



}

.conten,
.content9 {
width: 100%;
text-align:justify;

}
.conten
{
margin-right:10px;
}

.content9 {
margin-bottom: 20px; /* Add margin between content9 items for better spacing */
}
p{
margin-right: 10px;
}
}


/* ********************************************************************************************************************* */



/* ********************************************************************************************************************* */




/* ********************************************************************************************************************* */



/* ********************************************************************************************************************* */




/* ********************************************************************************************************************* */




/* ********************************************************************************************************************* */